#!/bin/csh
#
#***
#*** "#PBS" lines must come before any non-blank, non-comment lines ***
#***
#
# 1 nodes, 4 CPUs, wall clock time of 7 minutes, 4 GB of memory
#
#PBS -l walltime=0:07:00,nodes=1:ppn=4,mem=4gb
#
# merge STDERR into STDOUT file
#PBS -j oe
#
# send mail if the process aborts, when it begins, and 
# when it ends (abe)
#PBS -m abe
#PBS -M mcspedon@Princeton.EDU
#

if ($?PBS_JOBID) then
	echo "Starting" $PBS_JOBID "at" `date` "on" `hostname`
	echo ""
else
	echo "This script must be run as a PBS job"
	exit 1
endif

cd $PBS_O_WORKDIR
matlab -nosplash -nodisplay <<EOF

% the size of the pool should equal the PBS ppn
matlabpool open local 4

% call the function
find_k_closest_imgs

% close the pool
matlabpool close

EOF

echo ""
echo "Done at " `date`
